Bug 494347 - cpg_init return wrong error code for bad group ID
cpg_init return wrong error code for bad group ID
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: openais (Show other bugs)
5.3
All Linux
urgent Severity urgent
: rc
: ---
Assigned To: Steven Dake
Cluster QE
: ZStream
Depends On: 500567
Blocks: 500917
  Show dependency treegraph
 
Reported: 2009-04-06 10:04 EDT by Alan Conway
Modified: 2016-04-26 09:39 EDT (History)
4 users (show)

See Also:
Fixed In Version: openais-0.80.6-1.el5_4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 07:29:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alan Conway 2009-04-06 10:04:59 EDT
Description of problem:

If a CPG client does not have the correct ais group ID, cpg_init returns error 6  CPG_ERR_TRY_AGAIN. This puts some clients (e.g. qpidd) in a loop if run with the wrong group. It should return CPG_ERR_SECURITY.
 
Version-Release number of selected component (if applicable):

openais-0.80.3-22.el5_3.4

How reproducible: 100%

Steps to Reproduce:
Run a CPG client with gid set to something other than ais.
Comment 6 errata-xmlrpc 2009-09-02 07:29:46 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1366.html

Note You need to log in before you can comment on or make changes to this bug.